curl --request PUT \
--url https://api.getcargo.io/v1/ai/mcpServers/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"actions": [
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"isBulkAllowed": true,
"config": {},
"kind": "<string>",
"toolUuid": "<string>",
"templateSlug": "<string>"
}
],
"resources": [
{
"kind": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"integrationSlug": "<string>",
"modelUuid": "<string>",
"filter": {
"conjonction": "or",
"groups": [
"<unknown>"
]
},
"selectedColumnSlugs": [
"<string>"
],
"limit": 123,
"prompt": "<string>"
}
],
"folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"mcpServer": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"name": "<string>",
"description": "<string>",
"actions": [
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"isBulkAllowed": true,
"config": {},
"kind": "<string>",
"toolUuid": "<string>",
"templateSlug": "<string>"
}
],
"resources": [
{
"kind": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"integrationSlug": "<string>",
"modelUuid": "<string>",
"filter": {
"conjonction": "or",
"groups": [
"<unknown>"
]
},
"selectedColumnSlugs": [
"<string>"
],
"limit": 123,
"prompt": "<string>"
}
],
"folderUuid": "<string>",
"templateSlug": "<string>",
"isReadOnly": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
}Update an MCP server
curl --request PUT \
--url https://api.getcargo.io/v1/ai/mcpServers/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"actions": [
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"isBulkAllowed": true,
"config": {},
"kind": "<string>",
"toolUuid": "<string>",
"templateSlug": "<string>"
}
],
"resources": [
{
"kind": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"integrationSlug": "<string>",
"modelUuid": "<string>",
"filter": {
"conjonction": "or",
"groups": [
"<unknown>"
]
},
"selectedColumnSlugs": [
"<string>"
],
"limit": 123,
"prompt": "<string>"
}
],
"folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"mcpServer": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"name": "<string>",
"description": "<string>",
"actions": [
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"isBulkAllowed": true,
"config": {},
"kind": "<string>",
"toolUuid": "<string>",
"templateSlug": "<string>"
}
],
"resources": [
{
"kind": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"integrationSlug": "<string>",
"modelUuid": "<string>",
"filter": {
"conjonction": "or",
"groups": [
"<unknown>"
]
},
"selectedColumnSlugs": [
"<string>"
],
"limit": 123,
"prompt": "<string>"
}
],
"folderUuid": "<string>",
"templateSlug": "<string>",
"isReadOnly": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
MCP server identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Request body schema.
MCP server name.
MCP server description.
Actions exposed by the MCP server.
Show child attributes
Resources exposed by the MCP server.
Show child attributes
Folder identifier for the MCP server.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Successful response
Updated MCP server details.
Show child attributes
Was this page helpful?